Update settings section
curl --request PATCH \
--url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/settings/{section} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://sitegpt.ai/api/v2/chatbots/{chatbotId}/settings/{section}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://sitegpt.ai/api/v2/chatbots/{chatbotId}/settings/{section}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"setting": {
"id": "setting-id",
"name": "Example setting",
"createdAt": "2026-05-13T00:00:00.000Z"
}
},
"meta": {
"requestId": "request-id"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}Settings
Update settings section
Update one safe chatbot settings section.
Required scope: settings:write.
PATCH
/
api
/
v2
/
chatbots
/
{chatbotId}
/
settings
/
{section}
Update settings section
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Partial safe chatbot settings patch. Only public dashboard settings accepted by API v2 can be changed.
Was this page helpful?
⌘I